hostname dretovice
password klfzebra3
enable password klfzebra3
log stdout
!log file /var/log/ospfd.log
!log record-priority
!service advanced-vty
!
!
interface lo
!
interface dummy0
 description dummy-IP
 ip ospf cost 10
!
!
interface eth0
 description Alcoma Highway
 ip ospf cost 10
 ip ospf priority 2
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface vlan103
 description ECWA highway
 ip ospf cost 100
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface vlan201
 description 5G stehelceves
 ip ospf cost 200
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface vlan202
 description 5G dretovice2
 ip ospf cost 10
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
 ip ospf network non-broadcast
! pres rockety nechodi zebra?
!
!
router ospf
 ospf router-id 10.102.161.66
! redistribute connected route-map just-10
! redistribute kernel metric-type 1 metric 100
 passive-interface dummy0
 passive-interface ath0
 passive-interface ath1
 passive-interface vlan203
 
! nechodi broadcast Dretovice2
 neighbor 10.102.161.58

! network 10.102.0.67/32 area 0
!==== peery a podobne ====!
! Alcoma peer highway
 network 10.102.161.64/29 area 5
! ecwa peer highway
 network 10.102.161.120/29 area 5
! stehelceves 5G
 network 10.102.138.0/29 area 5
! peer Dretovice2 (priprava)
 network 10.102.161.56/29 area 5

!==== LAN a sektory ===
! LAN
 network 10.102.161.72/29 area 5
! wlan1 - sektor dretovice
 network 10.102.161.0/28 area 5
! wlan0 - sektor west
 network 10.102.161.32/28 area 5
! vlan203 - airmax sektor Dretovice
 network 10.102.161.16/28 area 5
! vlan204 - airmax steh
 network 10.102.161.80/28 area 5
! vlan301 ~ Dretovice2 NW
 network 10.102.161.160/27 area 5
 network 10.102.161.240/29 area 5
! vlan302 ~ Dretovice2 EAST
 network 10.102.161.192/27 area 5
! vlan202 ~ Dretovice2 LAN
 network 10.102.161.248/29 area 5
!
! Dretovice3
 network 10.218.0.0/29 area 5
 network 10.218.0.8/29 area 5
 network 10.218.0.16/28 area 5
!
! Kolec
 network 10.218.0.128/29 area 5
 network 10.218.0.136/29 area 5
 network 10.218.0.144/28 area 5
 network 10.218.0.160/28 area 5

access-list net-10 deny 192.168.123.0/24
access-list net-10 permit 192.168.0.0/16
access-list net-10 permit 10.102.0.0/16
access-list net-10 permit 10.218.0.0/16
access-list term permit 127.0.0.1/32
access-list term deny any
!
route-map just-10 permit 10
 match ip address net-10
!
line vty
 access-class term
